using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	public interface IModelManager : IGenericManager<Model>
	{
		IList<Model> LoadAllByPage(out long total, int page, int rows, string order, string sort);

		Model GetByName(string name);

		/// <summary>
		/// 应用节能模式
		/// </summary>
		/// <param name="model"></param>
		/// <param name="hosts"></param>
		void ApplyModel(Model model, IList<Host> hosts, string user);
	}
}
